﻿-- Daily Global Check - Lunar Festival plugin
local addonName, addonTable = ...

local plugintitle = "Lunar Festival"
local pluginicon = "Interface\\Icons\\inv_misc_elvencoins"

local questsdata = {}

local list = {
 ["Title"] = plugintitle,
 ["Icon"]  = pluginicon,
 ["Version"] = 1004,
 ["Order"] = {
				-- Page 1  -- eastern kingdoms
                {
				 {select(2, GetAchievementInfo(912)),8647,8683,8653,8652,8643,8651,8722,8714,8645,8636,8642,8675,8650,8716,8649,8688,8674},
				},
				-- Page 2  -- kalimdor
				{
				 {select(2, GetAchievementInfo(911)),8715,8719,8673,8726,8684,8679,8686,8685,8717,8724,8723,8654,8671,8725,8670,8720,8682,8721,8672,8681,8680},
				},
				-- Page 3  -- northrend
				{
				 {select(2, GetAchievementInfo(1396)),13026,13025,13018,13016,13019,13015,13030,13027,13031,13032,13028,13020,13012,13033,13024,13013,13014,13029},
				},
				-- Page 4  -- cataclysm
				{
				 {select(2, GetAchievementInfo(6006)),29734,29737,29740,29739,29735,29742,29736,29738,29741},
				},
				-- Page 5  -- dungeons and ally/horde
				{
				 {select(2, GetAchievementInfo(910)),8727,8619,8713,8644,8635,8676,13067,13021,13017,13023,13022,13065,13066},
				},
			 },
 }

local function showally()
 local faction = DailyGlobalCheck.player_faction and DailyGlobalCheck.player_faction or UnitFactionGroup("player")
 return faction == "Alliance"
end

local function showhorde()
 local faction = DailyGlobalCheck.player_faction and DailyGlobalCheck.player_faction or UnitFactionGroup("player")
 return faction == "Horde"
end

local function add_faction_orders()
 local o = list["Order"]

 if showally() then
  o[5][2] = {select(2, GetAchievementInfo(915)),8646,8866,8718} -- alliance
 elseif showhorde() then
  o[5][2] = {select(2, GetAchievementInfo(914)),8648,8678,8677} -- horde
 end
end

local function GenerateData()
 local achi = GetAchievementCriteriaInfo
 local q = questsdata
 
 -- localizzare con DailyGlobalCheck:GetQuestTitleByQuestID?

 -- Elders of the Alliance
 q[8646] = {nil, achi(915, 1), nil, nil, {30 , 34.6, 50.4},nil,1,nil,showally} -- hammershout stormwind
 q[8866] = {nil, achi(915, 2), nil, nil, {341, 29.6, 18  },nil,1,nil,showally} -- bronzebeard ironforge
 q[8718] = {nil, achi(915, 3), nil, nil, {381, 39.6, 32.4},nil,1,nil,showally} -- bladeswift darnassus
 
 -- Elders of the Horde
 q[8648] = {nil, achi(914, 1), nil, nil, {382, 66.6, 38  },nil,1,nil,showhorde} -- darkcore undercity
 q[8678] = {nil, achi(914, 2), nil, nil, {362, 73  , 24  },nil,1,nil,showhorde} -- wheathoof thunder bluff
 q[8677] = {nil, achi(914, 3), nil, nil, {321, 52.2, 59.8},nil,1,nil,showhorde} -- darkhorn orgrimmar

 -- Elders of Cataclysm
 q[29734] = {nil, achi(6006, 1), nil, nil, {640, 27.6, 69.2},nil,1} -- deepforge deepholm
 q[29737] = {nil, achi(6006, 2), nil, nil, {700, 50.8, 70.4},nil,1} -- firebeard twilight
 q[29740] = {nil, achi(6006, 3), nil, nil, {606, 62.6, 22.8},nil,1} -- evershade hyjal
 q[29739] = {nil, achi(6006, 4), nil, nil, {606, 26.6, 62  },nil,1} -- windsong hyjal
 q[29735] = {nil, achi(6006, 5), nil, nil, {640, 49.6, 54.8},nil,1} -- stonebrand deepholm
 q[29742] = {nil, achi(6006, 6), nil, nil, {720, 65.4, 18.6},nil,1} -- menkhaf uldum
 q[29736] = {nil, achi(6006, 7), nil, nil, {700, 51.8, 33  },nil,1} -- darkfeather twilight
 q[29738] = {nil, achi(6006, 8), nil, nil, {613, 57.2, 86.2},nil,1} -- moonlance vashj'ir
 q[29741] = {nil, achi(6006, 9), nil, nil, {720, 31.6, 63  },nil,1} -- sekhemi uldum

 -- Elders of Northrend
 q[13026] = {nil, achi(1396,1) ,nil, nil, {501, 49  , 14  },nil,1} --bluewolf wintergrasp
 q[13025] = {nil, achi(1396,2) ,nil, nil, {490, 80.4, 37  },nil,1} --lunaro grizzly hills
 q[13018] = {nil, achi(1396,3) ,nil, nil, {493, 49.8, 63.6},nil,1} --sandrene sholazar
 q[13016] = {nil, achi(1396,4) ,nil, nil, {486, 33.8, 34.2},nil,1} --northal borean tundra
 q[13019] = {nil, achi(1396,5) ,nil, nil, {488, 48.8, 78  },nil,1} --thoim dragonblight
 q[13015] = {nil, achi(1396,6) ,nil, nil, {495, 28.8, 73.6},nil,1} --fargal storm peaks
 q[13030] = {nil, achi(1396,7) ,nil, nil, {490, 64.2, 47  },nil,1} --whurain grizzly hills
 q[13027] = {nil, achi(1396,8) ,nil, nil, {496, 58.8, 56  },nil,1} --tauros zul drak
 q[13031] = {nil, achi(1396,9) ,nil, nil, {488, 35  , 48.4},nil,1} --skywarden dragonblight
 q[13032] = {nil, achi(1396,10),nil, nil, {495, 64.6, 51.2},nil,1} --muraco storm peaks
 q[13028] = {nil, achi(1396,11),nil, nil, {495, 41  , 84.6},nil,1} --graymane storm peaks
 q[13020] = {nil, achi(1396,12),nil, nil, {495, 31.2, 37.6},nil,1} --stonebeard storm peaks
 q[13012] = {nil, achi(1396,13),nil, nil, {486, 59  , 65.6},nil,1} --sardis borean tundra
 q[13033] = {nil, achi(1396,14),nil, nil, {495, 57.4, 43.6},nil,1} --arp borean tundra
 q[13024] = {nil, achi(1396,15),nil, nil, {493, 63.8, 49  },nil,1} --wanikaya sholazar
 q[13013] = {nil, achi(1396,16),nil, nil, {490, 60.4, 27.6},nil,1} --beldak grizzly hills
 q[13014] = {nil, achi(1396,17),nil, nil, {488, 29.8, 55.8},nil,1} --morthie dragonblight
 q[13029] = {nil, achi(1396,18),nil, nil, {486, 42.8, 49.6},nil,1} --pamuya borean tundra

 --Elders of Eastern Kingdoms
 q[8647] = {nil, achi(912,16), nil, nil, {19 , 54.3, 49.5},nil,1}-- Bellowrage	Blasted Lands			
 q[8683] = {nil, achi(912,2) , nil, nil, {29 , 53.6, 24.5},nil,1}--Dawnstrider	Burning Steppes			
 q[8653] = {nil, achi(912,15), nil, nil, {27 , 53.9, 49.9},nil,1}--  Goldwell		Dun Morogh				
 q[8652] = {nil, achi(912,9) , nil, nil, {20 , 61.9, 53.9},nil,1}--Graveborn		Tirisfal Glades			
 q[8643] = {nil, achi(912,8) , nil, nil, {26 , 50.0, 48.0},nil,1}--Highpeak		The Hinterlands			
 q[8651] = {nil, achi(912,10), nil, nil, {28 , 21.3, 79.1},nil,1}--Ironband		Searing Gorge			
 q[8722] = {nil, achi(912,17), nil, nil, {22 , 63.5, 36.1},nil,1}--Meadowrun		Western Plaguelands		
 q[8714] = {nil, achi(912,4) , nil, nil, {22 , 69.2, 73.5},nil,1}--Moonstrike	Western Plaguelands		
 q[8645] = {nil, achi(912,11), nil, nil, {21 , 45.0, 41.1},nil,1}-- Obsidian		Silverpine Forest		
 q[8636] = {nil, achi(912,12), nil, nil, {29 , 70.1, 45.4},nil,1}-- Rumblerock	Burning Steppes			
 q[8642] = {nil, achi(912,1) , nil, nil, {35 , 33.0, 46.0},nil,1}--Silvervein	Loch Modan				
 q[8675] = {nil, achi(912,7) , nil, nil, {39 , 56.6, 47.0},nil,1}--Skychaser		Westfall				
 q[8650] = {nil, achi(912,13), nil, nil, {23 , 75.0, 54.0},nil,1}--Snowcrown		Eastern Plaguelands		
 q[8716] = {nil, achi(912,5) , nil, nil, {37 , 71.0, 34.3},nil,1}-- Starglade		Northern Stranglethorn	
 q[8649] = {nil, achi(912,14), nil, nil, {30 , 39.8, 63.7},nil,1}--  Stormbrow		Elwynn Forest			
 q[8688] = {nil, achi(912,3) , nil, nil, {23 , 35.6, 68.8},nil,1}--Windrun		Eastern Plaguelands		
 q[8674] = {nil, achi(912,6) , nil, nil, {673, 39.9, 72.5},nil,1}-- Winterhoof	The Cape of Stranglethorn

 -- Elders of Kalimdor
 q[8715] = {nil, achi(911,10), nil, nil, {41 , 57.0, 53.0},nil,1} --Elder Bladeleaf
 q[8719] = {nil, achi(911,9) , nil, nil, {261, 53.0, 35.5},nil,1}--Elder Bladesing		
 q[8673] = {nil, achi(911,2) , nil, nil, {9  , 48.3, 53.4},nil,1}  --Elder Bloodhoof		
 q[8726] = {nil, achi(911,12), nil, nil, {281, 53.2, 56.8},nil,1}--Elder Brightspear		
 q[8684] = {nil, achi(911,13), nil, nil, {161, 51.3, 27.8},nil,1}--Elder Dreamseer		
 q[8679] = {nil, achi(911,7) , nil, nil, {121, 76.7, 37.9},nil,1}--Elder Grimtotem		
 q[8686] = {nil, achi(911,4) , nil, nil, {607, 41.5, 47.5},nil,1}--Elder High Mountain
 q[8685] = {nil, achi(911,16), nil, nil, {121, 62,0, 31.0},nil,1}--Elder Mistwalker		
 q[8717] = {nil, achi(911,1) , nil, nil, {11 , 48.5, 59.3},nil,1} --Elder Moonwarden	
 q[8724] = {nil, achi(911,17), nil, nil, {61 , 77.1, 75.6},nil,1} --Elder Morningdew	
 q[8723] = {nil, achi(911,14), nil, nil, {182, 38.3, 52.9},nil,1}--Elder Nightwind		
 q[8654] = {nil, achi(911,19), nil, nil, {261, 30.8, 13.3},nil,1}--Elder Primestone		
 q[8671] = {nil, achi(911,18), nil, nil, {161, 37.2, 79.1},nil,1}--Elder Ragetotem		
 q[8725] = {nil, achi(911,11), nil, nil, {43 , 35.6, 48.9},nil,1} --Elder Riversong		
 q[8670] = {nil, achi(911,6) , nil, nil, {4  , 53.2, 43.6},nil,1}  --Elder Runetotem		
 q[8720] = {nil, achi(911,5) , nil, nil, {181, 64.7, 79.3},nil,1}--Elder Skygleam		
 q[8682] = {nil, achi(911,8) , nil, nil, {61 , 46.4, 51.0},nil,1} --Elder Skyseer			
 q[8721] = {nil, achi(911,15), nil, nil, {42 , 49.5, 19.0},nil,1} --Elder Starweave		
 q[8672] = {nil, achi(911,3) , nil, nil, {281, 60.1, 49.9},nil,1}--Elder Stonespire		
 q[8681] = {nil, achi(911,20), nil, nil, {201, 50.4, 76.1},nil,1}--Elder Thunderhorn	
 q[8680] = {nil, achi(911,21), nil, nil, {11 , 68.4, 70.0},nil,1} --Elder Windtotem
 
 --Elders of Eastern Kingdoms (Dungeons)
 q[8727] = {nil, achi(910,4), nil, nil, {23, 27  , 12},nil,1}--Farwhisper Stratholme					
 q[8619] = {nil, achi(910,1), nil, nil, {28, 35  , 86},nil,1}--Morndeep Blackrock Depths				
 q[8713] = {nil, achi(910,3), nil, nil, {38, 69.5, 53},nil,1}--Starsong Sunken Temple				
 q[8644] = {nil, achi(910,7), nil, nil, {28, 35  , 86},nil,1}--Stonefort Lower Blackrock Spire
 
 -- Elders of Kalimdor (Dungeons)
 q[8635] = {nil, achi(910,2), nil, nil, {101, 30  , 62  },nil,1}--Splitrock Maraudon		
 q[8676] = {nil, achi(910,6), nil, nil, {161, 39.6, 21.7},nil,1}--Wildmane Zul'Farrak
 --Elders of Northrend (Dungeons)
 q[13067] = {nil, achi(910,11), nil, nil, {491, 58, 45},nil,1}--Chogan'gada Utgarde Pinnacle	
 q[13021] = {nil, achi(910,13), nil, nil, {486, 28, 28},nil,1}--Igasho The Nexus			  	
 q[13017] = {nil, achi(910,10), nil, nil, {491, 58, 49},nil,1}--Jarten Utgarde Keep
 q[13023] = {nil, achi(910,8) , nil, nil, {496, 28, 90},nil,1}--Kilias Drak'Tharon Keep	  
 q[13022] = {nil, achi(910,12), nil, nil, {488, 27, 48},nil,1}--Nurgen Azjol-Nerub			
 q[13065] = {nil, achi(910,9) , nil, nil, {496, 81, 21},nil,1}--Ohanzee Gundrak				
 q[13066] = {nil, achi(910,5) , nil, nil, {495, 45, 14},nil,1}--Yurauk Halls of Stone		
end

list.Initialize = add_faction_orders
list.GenerateData = GenerateData
DailyGlobalCheck:LoadPlugin(list, questsdata)
